#!/usr/local/bin/perl -w

##################################################
#            A Bit Like Clockwork 1.1            #
##################################################
# A simple little CGI application for displaying #
# the current date and time to visitors of your  #
# web page.                                      #
##################################################
# Copyright 2000, CyberNox Technologies, Inc.    #
# All Rights Reserved.                           #
#                                                #
# Written by:                                    #
# Mark Badolato <mbadolato@cybernox.com>         #
#                                                #
# Product Home Page:                             #
# http://www.cybernox.com/scripts/clockwork/     #
##################################################
# Free for you to use or modify.  Please do not  #
# redistribute it.  Please do not remove the     #
# above copyright.                               #
##################################################

use strict;

##################################################
# Just a couple of configurations for you to set #  
##################################################

# Define the time zones verbiage you would like to display.
my $daylight_zone	= 'Pacific Daylight Time';
my $standard_zone	= 'Pacific Standard Time';

# Define the server offset, if any.
my $daylight_offset	= -3; 
my $standard_offset = -3; 

########## Nothing to change below ##########
my @days		= qw(Sunday Monday Tuesday Wednesday Thursday Friday Saturday);
my @months		= qw(January February March April May June July August September October November December); 
my $dst			= (localtime(time))[8];
my $tz_offset	= $dst ? $daylight_offset	: $standard_offset;
my $zone 		= $dst ? $daylight_zone		: $standard_zone;

my ($sec, $min, $hour, $mday, $mon, $year, $wday) = (localtime(time + ($tz_offset * 3600)))[0..6];
my $ampm = ($hour < 12) ? 'AM' : 'PM';

$hour  = 12 if $hour == 0;
$hour -= 12 if $hour > 12;
$year += 1900;

$_ = sprintf("%02d", $_) foreach ($sec, $min, $hour, $mday);

print "Content-Type: text/html\n\n";
print "$days[$wday] $months[$mon] $mday, $year - $hour:$min:$sec $ampm, $zone";